BTHIDCONTROL(8)

NAME
bthidcontrol - Bluetooth HID control utility

SYNOPSIS
bthidcontrol -h
bthidcontrol [-a BD_ADDR] [-c file] [-H file] [-v] command

DESCRIPTION
The bthidcontrol utility can be used to query remote Bluetooth HID devices, dump HID descriptors in human readable form and perform simple manipulations on the Bluetooth HID daemon configuration files.

The bthidcontrol utility will print results to the standard output and error messages to the standard error.

The options are as follows:

-a BD_ADDR
    Specify BD_ADDR for the HID device. Example: -a 00:01:02:03:04:05.

-c file
    Specify path to the Bluetooth HID daemon configuration file. The default path is /etc/bluetooth/bthidd.conf.

-H file
    Specify path to the Bluetooth HID daemon known HIDs file. The default path is /var/db/bthidd.hids.

-h  Display usage message and exit.

-v  Be verbose and show items that are being used for padding.

command
    One of the supported commands (see below). Special command help can be used to obtain the list of all supported commands. To get more information about specific command use help command.

COMMANDS
The currently supported node commands in bthidcontrol are:

Query
Dump
Known
Forget

FILES
/etc/bluetooth/bthidd.conf
/var/db/bthidd.hids

EXIT STATUS

SEE ALSO
bthidd(8)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>